Loading...
Searching...
No Matches
fdasd_anchor Struct Reference

`#include <fdasd.h>`

## Data Fields

int | auto_partition
int | big_disk
unsigned int | blksize
config_data_t | confdata [USABLE_PARTITIONS]
u_int16_t | dev_type
int | devno
format4_label_t * | f4
format5_label_t * | f5
format7_label_t * | f7
format9_label_t * | f9
unsigned int | FBA_layout
partition_info_t * | first
u_int32_t | formatted_cylinders
unsigned long | fspace_trk
struct fdasd_hd_geometry | geo
u_int32_t | hw_cylinders
bool | is_file
unsigned int | label_block
unsigned long | label_pos
partition_info_t * | last
int | option_recreate
int | option_reuse
int | partno [USABLE_PARTITIONS]
int | print_table
int | silent
unsigned int | used_partitions
int | verbose
volume_label_t * | vlabel
int | vlabel_changed
int | vtoc_changed

## Field Documentation

## auto_partition

int fdasd_anchor::auto_partition

## big_disk

int fdasd_anchor::big_disk

## blksize

unsigned int fdasd_anchor::blksize

## confdata

config_data_t fdasd_anchor::confdata

## dev_type

u_int16_t fdasd_anchor::dev_type

## devno

int fdasd_anchor::devno

## f4

format4_label_t * fdasd_anchor::f4

## f5

format5_label_t * fdasd_anchor::f5

## f7

format7_label_t * fdasd_anchor::f7

## f9

format9_label_t * fdasd_anchor::f9

## FBA_layout

unsigned int fdasd_anchor::FBA_layout

## first

partition_info_t * fdasd_anchor::first

## formatted_cylinders

u_int32_t fdasd_anchor::formatted_cylinders

## fspace_trk

unsigned long fdasd_anchor::fspace_trk

## geo

struct fdasd_hd_geometry fdasd_anchor::geo

## hw_cylinders

u_int32_t fdasd_anchor::hw_cylinders

## is_file

bool fdasd_anchor::is_file

## label_block

unsigned int fdasd_anchor::label_block

## label_pos

unsigned long fdasd_anchor::label_pos

## last

partition_info_t * fdasd_anchor::last

## option_recreate

int fdasd_anchor::option_recreate

## option_reuse

int fdasd_anchor::option_reuse

## partno

int fdasd_anchor::partno

## print_table

int fdasd_anchor::print_table

## silent

int fdasd_anchor::silent

## used_partitions

unsigned int fdasd_anchor::used_partitions

## verbose

int fdasd_anchor::verbose

## vlabel

volume_label_t * fdasd_anchor::vlabel

## vlabel_changed

int fdasd_anchor::vlabel_changed

## vtoc_changed

int fdasd_anchor::vtoc_changed

The documentation for this struct was generated from the following files:

- include/parted/fdasd.h
- include/parted/fdasd.in.h